> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aiid.edu.kg/llms.txt
> Use this file to discover all available pages before exploring further.

# 獲取影片內容

> 獲取已完成影片任務的影片檔案內容。

此介面會代理回傳影片檔案串流。



## OpenAPI

````yaml api-reference/zh-tw/openapi.json GET /v1/videos/{task_id}/content
openapi: 3.0.0
info:
  title: 出海營 API 參考文件
  version: 1.0.0
  description: Public AI Gateway API Reference
servers:
  - url: https://api.aiid.edu.kg
security:
  - BearerAuth: []
tags:
  - name: OpenAI格式（Chat）
  - name: OpenAI格式（Responses）
  - name: 圖片生成 Gemini 格式
  - name: 圖片生成OpenAI DALL-E 格式
  - name: 獲取模型列表
  - name: 影片生成HappyHorse與 Wan
  - name: 影片生成Kling格式
  - name: 影片生成 Omni 與 Veo 格式
  - name: 影片生成 Seedance 格式
  - name: 影片生成Sora相容格式
  - name: 影片生成 Vidu 格式
  - name: 音樂生成任務格式
paths:
  /v1/videos/{task_id}/content:
    get:
      tags:
        - 影片生成Sora相容格式
      summary: 獲取影片內容
      description: |-
        獲取已完成影片任務的影片檔案內容。

        此介面會代理回傳影片檔案串流。
      operationId: getVideoContent
      parameters:
        - name: task_id
          in: path
          description: 影片任務 ID
          required: true
          example: video-abc123
          schema:
            type: string
      responses:
        '200':
          description: 成功獲取影片內容
          content:
            video/mp4:
              schema:
                type: string
                format: binary
          headers: {}
        '404':
          description: 影片不存在或未完成
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              description: 錯誤訊息
            type:
              type: string
              description: 錯誤類型
            param:
              type: string
              description: 相關參數
              nullable: true
            code:
              type: string
              description: 錯誤代碼
              nullable: true
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |-
        使用 Bearer Token 認證。
        格式: `Authorization: Bearer sk-xxxxxx`

````